# Plexus config file
#
# local.conf,v 2.5 1993/09/03 21:25:36 sanders Exp
#
# Tony Sanders <sanders@bsdi.com>, April 1993
#
# This is file read after plexus.conf so you can use all variables set there
# This file is processed after we have switched user/group id from root

set	support		<ADDRESS>webmaster@cui.unige.ch</ADDRESS>
set	perlexp		http://www.cis.ohio-state.edu:85/info/perl.info,Regular%20Expressions
set	dirdoc		/$http_sdir/doc/dir.html
set	logfile		log		# default log file
set	autoindex	true		# auto-index directories?
set	locking		flock		# flock or fcntl
set	relative	disabled	# enabled allows .. in path
set	timeout		30		# access timeout limit (secs)
# set	decode_config	map.conf

# Configuration for the directory browser
set	index		index.html	# default for directory access
set	homepage	index.html
hide	info/$dir_header		# $dir_header is from plexus.conf
hide	info/$dir_footer		# $dir_footer is from plexus.conf

# Gateway Configurations
set	faces_path	faces/local:faces/xface:faces/facedir:faces/facesaver:faces/logos

loadpath	$http_sdir/apps $http_sdir/bookmark $http_sdir/contrib
loadpath	$http_sdir/../bsdi-man

# Module Configuration (these are loaded at startup time)
load	mime.pl dir.pl get.pl		# required
load	decode.pl			# image manipulation
load	search.pl			# directory grep'er
# Demos
load	bookmark.pl
# Samples
load	date.pl fortune.pl calendar.pl finger.pl
# Translators
load	setext.pl
# Misc/Contributed (probably require customization)
load	bsdi-man.pl
#load	archieplex.pl
#load	siks.pl
#load	neuro.pl
#load	sunman.pl

load	parscan.pl

# Format Translations
#		Translator	from		to
translate	setext'html	text/x-setext	text/html

# Mapper Config (file is require'd before calling function)
#	dir		file		function
map	__default__	dir.pl		&retrieve($path, $query)

# Demos
map	date		date.pl		&do_date($query)
map	fortune		fortune.pl	&do_fortune("$rest?$query")
map	calendar	calendar.pl	&do_calendar("$rest?$query")
map	finger		finger.pl	&do_finger($rest, $query, "finger/finger-cover.html")
map	bsdi-man	bsdi-man.pl	&do_bsdi_man($top, $rest, $query)
map	decode-walk	decode.pl	&do_decode("server/walk/walk.map", $query)
map	decode-map	decode.pl	&do_decode($rest, $query, $version)
map	bookmark	bookmark.pl	&do_bookmark($path, $query)

# Samples
map	info		search.pl	&do_search($path, $query, "Info")
map	login		search.pl	&do_search($path, $query, "login")

# Contributed -- check the file or local customization
#map	archieplex	archieplex.pl	&do_archieplex($path, $top, $rest, $query)
#map	oracle		oraplex.pl	&do_oracle($path, $query, $version)
#map	neuroprose	neuro.pl	&gen_neuroprose($query)
#map	sunman		sunman.pl	&man_handler($rest, $query)

map	parscan		parscan.pl	&do_parscan($rest,$query)
map	bibrefs		parscan.pl	&do_parscan("-r/OSG/Bib/main.bib",$query)
map	cuibib		parscan.pl	&do_parscan("-r-l/biblio/bibdb",$query)
map	langlist	parscan.pl	&do_parscan("OSG/Langlist/langlist",$query)
map	jughead		parscan.pl	&do_parscan("OSG/Oscar/Cat",$query)

# Local Content-Type Extensions:
content	image/jpeg	jfif JFIF

# Unknown data gets one of these:
content	text/plain			__text__
content	application/octet-stream	__binary__

# MIME Content-Type reference
# The filename suffixes are case sensitive
# This list conforms to http://www.bsdi.com/HTTP:TNG/MIME-ClientProfile.html
# Content-types with no extensions are ignored, but supplied for reference
content	application/activemessage
content	application/andrew-inset			# Andrew-inset
content	application/applefile
content	application/atomicmail				# Atomicmail
content	application/dca-rft				# IBM Doc Content Arch
content	application/dec-dx				# Digital Doc Transfer
content	application/mac-binhex40
content	application/macwriteii
content	application/msword
content	application/news-message-id			# RFC 1036
content	application/news-transmission			# RFC 1036
content	application/octet-stream	bin		# Uninterpreted Binary Data
content	application/oda			oda
content	application/pdf			pdf
content	application/postscript		ai eps ps	# PostScript
content	application/remote-printing			# RFC 1486
content	application/rtf 		rtf 		# RTF
content	application/slate				# Slate
content	application/wita				# Wang Info Transfer
content	application/wordperfect5.1
content	application/x-csh		csh		# CSH Script (major danger)
content	application/x-dvi 		dvi		# TeX DVI
content	application/x-hdf		hdf		# NCSA HDF data file
content	application/x-latex 		latex		# LaTeX Source
content	application/x-netcdf		nc cdf		# Unidata netCDF data file
content	application/x-sh		sh		# SH Script (major danger)
content	application/x-tcl		tcl		# TCL Script (major danger)
content	application/x-tex 		tex		# TeX Source
content	application/x-texinfo 		textinfo texi	# Texinfo
content	application/x-troff		t tr roff	# Troff
content	application/x-troff-man		man		# Troff w/MAN Macros
content	application/x-troff-me		me		# Troff w/ME Macros
content	application/x-troff-ms		ms		# Troff w/MS Macros
content	application/x-wais-source 	src		# WAIS Source
content	application/zip			zip		# PKZIP
content	application/x-bcpio		bcpio		# Old Binary CPIO
content	application/x-cpio		cpio		# IEEE Std1003.2 (``POSIX'') CPIO
content	application/x-gtar 		gtar		# Gnu Tar
content	application/x-shar 		shar		# Sh Shar
content	application/x-sv4cpio		sv4cpio		# SVR4 CPIO
content	application/x-sv4crc		sv4crc		# SVR4 CPIO w/CRC
content	application/x-tar 		tar		# 4.3BSD Tar 
content	application/x-ustar		ustar		# IEEE Std1003.2 (``POSIX'') Tar
content	audio/basic 			au snd		# 8-bit u-law [PCM] / 8000 Hz
content	audio/x-aiff 			aif aiff aifc
content	audio/x-wav			wav		# MS Windows+ WAVE format
content	image/gif 			gif		# Graphics Interchange Format
content	image/ief			ief		# Image Exchange Format
content	image/jpeg 			jpeg jpg jpe
content	image/tiff 			tiff tif	# Tagged Image File Format
content	image/x-cmu-raster 		ras
content	image/x-portable-anymap 	pnm		# PBM Anymap Format
content	image/x-portable-bitmap 	pbm		# PBM Bitmap Format
content	image/x-portable-graymap 	pgm		# PBM Graymap Format
content	image/x-portable-pixmap 	ppm		# PBM Pixmap Format
content	image/x-rgb 			rgb
content	image/x-xbitmap 		xbm		# X Bitmaps
content	image/x-xpixmap			xpm		# X Pixmap format
content	image/x-xwindowdump		xwd		# X Window Dump (xwd)
content	message/external-body
content	message/news
content	message/partial
content	message/rfc822
content	multipart/alternative
content	multipart/appledouble
content	multipart/digest
content	multipart/mixed
content	multipart/parallel
content	text/html 			html		# HTML
content	text/plain 			txt		# Plain Text
content	text/richtext			rtx		# MIME Richtext format
content	text/tab-separated-values	tsv		# Tab Separated Values
content	text/x-setext 			etx 		# Structure Enchanced Text
content	video/mpeg 			mpeg mpg mpe	# Motion Picture Experts Group
content	video/quicktime 		qt mov		# QuickTime
content	video/x-msvideo			avi		# Microsoft Video for Windows
content	video/x-sgi-movie		movie		# SGI "movieplayer" movie

# Encodings Supported
encoding x-uuencode	uu UU
encoding x-hqx		hqx HQX				# Mac compressed
encoding x-zip		z
encoding x-compress	Z
